Index: sasmodels/models/linear_pearls.py
===================================================================
--- sasmodels/models/linear_pearls.py	(revision 2f0c07deb2cb7a8c0c93476fbf1e0ffbe6c278cb)
+++ sasmodels/models/linear_pearls.py	(revision a2f9aa2c5e9891cc036e9cce1ab91a3b5223a41d)
@@ -57,6 +57,6 @@
     ["edge_sep",    "Ang",      350.0, [0, inf],     "", "Length of the string segment - surface to surface"],
     ["num_pearls",  "",           3.0, [0, inf],     "", "Number of the pearls"],
-    ["pearl_sld",   "1e-6/Ang^2", 1.0, [-inf, inf],  "", "SLD of the pearl spheres"],
-    ["solvent_sld", "1e-6/Ang^2", 6.3, [-inf, inf],  "", "SLD of the solvent"],
+    ["sld",   "1e-6/Ang^2", 1.0, [-inf, inf],  "", "SLD of the pearl spheres"],
+    ["sld_solvent", "1e-6/Ang^2", 6.3, [-inf, inf],  "", "SLD of the solvent"],
     ]
 # pylint: enable=bad-whitespace, line-too-long
@@ -68,12 +68,12 @@
             edge_sep=350.0,
             num_pearls=3,
-            pearl_sld=1.0,
-            solvent_sld=6.3)
+            sld=1.0,
+            sld_solvent=6.3)
 
 oldname = "LinearPearlsModel"
 
 oldpars = dict(edge_sep='edge_separation',
-               pearl_sld='sld_pearl',
-               solvent_sld='sld_solv')
+               sld='sld_pearl',
+               sld_solvent='sld_solv')
 
 """
@@ -84,6 +84,6 @@
     [{'radius':      20.0,
       'num_pearls':   2.0,
-      'pearl_sld':    1.0,
-      'solvent_sld':  6.3,
+      'sld':    1.0,
+      'sld_solvent':  6.3,
       'edge_sep':   400.0,
      }, 0.001, 185.135],
@@ -92,6 +92,6 @@
     [{'radius':     120.0,
       'num_pearls':   5.0,
-      'pearl_sld':    2.0,
-      'solvent_sld':  2.3,
+      'sld':    2.0,
+      'sld_solvent':  2.3,
       'edge_sep':   100.0,
      }, 0.01, 45.4984],
@@ -99,6 +99,6 @@
     [{'radius':       7.0,
       'num_pearls':   2.0,
-      'pearl_sld':   10.0,
-      'solvent_sld': 99.3,
+      'sld':   10.0,
+      'sld_solvent': 99.3,
       'edge_sep':    20.0,
      }, 1.0, 0.632811],
Index: sasmodels/models/pearl_necklace.py
===================================================================
--- sasmodels/models/pearl_necklace.py	(revision 2f0c07deb2cb7a8c0c93476fbf1e0ffbe6c278cb)
+++ sasmodels/models/pearl_necklace.py	(revision a2f9aa2c5e9891cc036e9cce1ab91a3b5223a41d)
@@ -13,5 +13,5 @@
 ----------
 
-The output of the scattering intensity function for the PearlNecklaceModel is
+The output of the scattering intensity function for the pearl_necklace is
 given by (Schweins, 2004)
 
@@ -58,5 +58,5 @@
 
 name = "pearl_necklace"
-title = "Colloidal spheres chained together with o preferential orientation"
+title = "Colloidal spheres chained together with no preferential orientation"
 description = """
 Calculate form factor for Pearl Necklace Model
@@ -76,17 +76,17 @@
 
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["radius", "Angstrom", 80.0, [0, inf], "volume",
+parameters = [["radius", "Ang", 80.0, [0, inf], "volume",
                "Mean radius of the chained spheres"],
-              ["edge_separation", "Angstrom", 350.0, [0, inf], "volume",
+              ["edge_separation", "Ang", 350.0, [0, inf], "volume",
                "Mean separation of chained particles"],
-              ["string_thickness", "Angstrom", 2.5, [0, inf], "volume",
+              ["string_thickness", "Ang", 2.5, [0, inf], "volume",
                "Thickness of the chain linkage"],
               ["number_of_pearls", "none", 3, [0, inf], "volume",
-               "Mean number of pearls in each necklace"],
-              ["sld", "Angstrom^2", 1.0, [-inf, inf], "",
+               "Number of pearls in the necklace (must be integer)"],
+              ["sld", "1e-6/Ang^2", 1.0, [-inf, inf], "",
                "Scattering length density of the chained spheres"],
-              ["string_sld", "Angstrom^2", 1.0, [-inf, inf], "",
+              ["sld_string", "1e-6/Ang^2", 1.0, [-inf, inf], "",
                "Scattering length density of the chain linkage"],
-              ["solvent_sld", "Angstrom^2", 6.3, [-inf, inf], "",
+              ["sld_solvent", "1e-6/Ang^2", 6.3, [-inf, inf], "",
                "Scattering length density of the solvent"],
              ]
@@ -117,5 +117,5 @@
 # parameters for demo
 demo = dict(scale=1, background=0, radius=80.0, edge_separation=350.0,
-            number_of_pearls=3, sld=1, solvent_sld=6.3, string_sld=1,
+            number_of_pearls=3, sld=1, sld_solvent=6.3, sld_string=1,
             string_thickness=2.5,
             radius_pd=.2, radius_pd_n=5,
@@ -129,7 +129,7 @@
 oldname = 'PearlNecklaceModel'
 oldpars = dict(scale='scale', background='background', radius='radius',
-               number_of_pearls='num_pearls', solvent_sld='sld_solv',
+               number_of_pearls='num_pearls', sld_solvent='sld_solv',
                string_thickness='thick_string', sld='sld_pearl',
-               string_sld='sld_string', edge_separation='edge_separation')
+               sld_string='sld_string', edge_separation='edge_separation')
 
 tests = [[{}, 0.001, 17380.245], [{}, 'ER', 115.39502]]
